> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-periods-table.md).

# Information Schema PERIODS Table

{% hint style="info" %}
This table is available as of MariaDB 11.4.
{% endhint %}

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `PERIODS` table provides information about [Application-Time Periods](/docs/server/reference/sql-structure/temporal-tables/application-time-periods.md).

It contains the following columns:

| Column              | Description                                |
| ------------------- | ------------------------------------------ |
| TABLE\_CATALOG      | Always contains the string 'def'.          |
| TABLE\_SCHEMA       | Database name.                             |
| TABLE\_NAME         | Table name.                                |
| PERIOD              | Period name.                               |
| START\_COLUMN\_NAME | Name of the column that starts the period. |
| END\_COLUMN\_NAME   | Name of the column that ends the period.   |

## Example

```sql
CREATE OR REPLACE TABLE t1(
 name VARCHAR(50), 
 date_1 DATE, 
 date_2 DATE, 
 PERIOD FOR date_period(date_1, date_2)
);

SELECT * FROM INFORMATION_SCHEMA.PERIODS;
+---------------+--------------+------------+-------------+-------------------+-----------------+
| TABLE_CATALOG | TABLE_SCHEMA | TABLE_NAME | PERIOD      | START_COLUMN_NAME | END_COLUMN_NAME |
+---------------+--------------+------------+-------------+-------------------+-----------------+
| def           | test         | t1         | date_period | date_1            | date_2          |
+---------------+--------------+------------+-------------+-------------------+-----------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-periods-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
